-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--[C6Mart].[PL_S26PatrimonioImmobiliare] 'F','PLZMRA41S41H501Z'
CREATE procedure [C6Mart].[PL_S26PatrimonioImmobiliare] 
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	--select t.descrizione, t.tipologia, t.localita, t.affittoPercepito, t.valore, t.totale 
	SELECT 
			PATRIMONIO_IMMOBILIARE.DESCRIZIONE AS Descrizione,
			PATRIMONIO_IMMOBILIARE.TIPOLOGIA AS Tipologia,
			PATRIMONIO_IMMOBILIARE.LOCALITA AS Localita,
			isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0) AS AffittoPercepito,
			PATRIMONIO_IMMOBILIARE.valore_stimato AS Valore,
			SUM(PATRIMONIO_IMMOBILIARE.VALORE_STIMATO) OVER (PARTITION BY 'Totale') as Totale,
			SUM(isnull(PATRIMONIO_IMMOBILIARE.AFFITTO,0)) OVER (PARTITION BY 'TotaleAffitto') as TotaleAffitto
	FROM C6MART.PATRIMONIO_IMMOBILIARE 
	WHERE PATRIMONIO_IMMOBILIARE.RETE = @Rete
		AND PATRIMONIO_IMMOBILIARE.COD_FISCALE = @CodiceFiscale
	ORDER BY 5 DESC
END